diff -up rpcbind-1.2.7/systemd/rpcbind.service.in.orig rpcbind-1.2.7/systemd/rpcbind.service.in
--- rpcbind-1.2.7/systemd/rpcbind.service.in.orig	2024-08-06 15:49:22.161273198 -0400
+++ rpcbind-1.2.7/systemd/rpcbind.service.in	2024-08-06 15:49:49.210454941 -0400
@@ -7,13 +7,14 @@ RequiresMountsFor=@statedir@
 # Make sure we use the IP addresses listed for
 # rpcbind.socket, no matter how this unit is started.
 Requires=rpcbind.socket
-Wants=rpcbind.target
+Wants=rpcbind.target systemd-tmpfiles-setup.service
+After=systemd-tmpfiles-setup.service
 
 [Service]
 Type=notify
 # distro can provide a drop-in adding EnvironmentFile=-/??? if needed.
 EnvironmentFile=/etc/sysconfig/rpcbind
-ExecStart=@_sbindir@/rpcbind $RPCBIND_OPTIONS @warmstarts_opt@ -f
+ExecStart=@_sbindir@/rpcbind $RPCBIND_ARGS @warmstarts_opt@ -f
 
 [Install]
 WantedBy=multi-user.target
